.agreement-input {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-top: 1rem;
}

.agreement-input:last-of-type {
  margin-top: 0.5rem;
}

.agreement-input.simple{
  margin-top: 1rem;
}

.agreement-input:hover {
  cursor: pointer;
}

.agreement-input a{
  color: #555558;
}

.agreement-input a:hover{
  color: var(--brand-blue);
}

.agreement-checkbox {
  width: 20px;
  height: 20px;
  border: 1px solid #E6E9F2;
  background: #fff;
  border-radius: 6px;
  text-align: center;
  flex: 0 0 20px;
}
.agreement-checkbox.hover {
  background: transparent;
}
.agreement-checkbox.active--dot {
  border: 1px solid var(--brand-blue);
  background: var(--brand-blue);
}

.agreement-checkbox.hover.active--dot {
  background: var(--brand-blue-hover);
}

.agreement-checkbox.active--dot::before {
  content: "\2713";
  color: white;
}

.agreement-checkbox.required {
  border: 1px solid var(--brand-red);
}

.form-sub{
  display: flex;
  align-items: start; 
  gap: 1rem;

  .form__label._error{
    margin-bottom: 1rem;
  }
}

.agreement-text{
  width: 480px; 
  font-weight: 400;
  font-size: 14px;
  line-height: 22px;
  white-space: nowrap;
  text-align: left;
}

.form.two-rows{
    grid-template-columns: 1fr !important;
    grid-template-rows: 1fr 1fr !important;
    gap: 0;
}

.form.two-rows #inline_EMAIL,
.form.multiple-sign #inline_EMAIL
{
  padding: 0.6875rem 1rem;
  height: 48px;
}

.form-agree{
  transition: max-height 0.5s ease-in-out;
}

.max-width-480 form{
  max-width: 480px;
  margin-left: auto;
  margin-right: auto;
}

.form.multiple-sign{
  grid-template-columns: 1fr !important;
  grid-template-rows: 1fr !important;
  gap: 0;
}

.form.multiple-sign  .agreement-text{
  font-weight: 400;
  font-size: 13px;
  line-height: 20px;
}

.header_form-block{
  position: relative;
  border-radius: 8px;
}



.header_form-block .loading_frame{
  display:none;
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  z-index: 9999;
  background-color: #a5a5a5;
  background-color: rgba(31, 31, 31, 0.2);
}
.header_form-block.loading .loading_frame{display:block; animation: fadeInAnimation 1s;}
.header_form-block.loading{overflow:hidden;}
.header_form-block.loading .form-agree{
  max-height: 0 !important;
}

.header_form-block.loading input {
  pointer-events: none;
  opacity: 0.5;
  cursor: not-allowed;
}


@media (max-width: 530px) {
  .form-sub{
    flex-direction: column;
    .form__label._error{
      margin-bottom: 0;
    } 
  }

  .form-button{
    width: 100%;
  }

  .agreement-input{
    align-items: start;
    justify-content: start;
  }

  .agreement-text{
    width: 88%;
    white-space: normal;
    text-align: left;
    margin-top: -5px;
  }

  .max-width-480 form{
    max-width: 290px;
  }
}